var win = Ti.UI.createWindow({
  backgroundColor: 'white'
});

var btn = Ti.UI.createButton({
  title: 'Click Me'
});

btn.addEventListener('click', function() {

  Ti.App.iOS.scheduleLocalNotification({
    category: 'SAMPLE',
    alertBody: 'Select an action',
    date: new Date(Date.now() + 5000)
  });

  alert('You have 5 seconds to lock the phone!');

});

win.add(btn);
win.open();

Ti.App.iOS.registerUserNotificationSettings({
  types: [
    Ti.App.iOS.USER_NOTIFICATION_TYPE_ALERT,
    Ti.App.iOS.USER_NOTIFICATION_TYPE_BADGE,
    Ti.App.iOS.USER_NOTIFICATION_TYPE_SOUND
  ],
  categories: [
    Ti.App.iOS.createUserNotificationCategory({
      identifier: 'SAMPLE',
      actionsForDefaultContext: [
        Ti.App.iOS.createUserNotificationAction({

          // activationMode: Ti.App.iOS.USER_NOTIFICATION_ACTIVATION_MODE_FOREGROUND,

          behavior: Ti.App.iOS.USER_NOTIFICATION_BEHAVIOR_TEXTINPUT,
          activationMode: Ti.App.iOS.USER_NOTIFICATION_ACTIVATION_MODE_BACKGROUND,

          identifier: 'FAILS',
          title: 'Fails'
        }),
        Ti.App.iOS.createUserNotificationAction({
          identifier: 'PASSES',
          title: 'Works',
          activationMode: Ti.App.iOS.USER_NOTIFICATION_ACTIVATION_MODE_BACKGROUND
        })
      ]
    })
  ]
});

Ti.App.iOS.addEventListener('notification', function(e) {
  console.log('Ti.App.iOS:notification ' + JSON.stringify(e, null, 2));
});

Ti.App.iOS.addEventListener('localnotificationaction', function(e) {
  console.log('Ti.App.iOS:localnotificationaction ' + JSON.stringify(e, null, 2));
});
